#ifndef	_LCD_PCF8574_H
#define	_LCD_PCF8574_H


#ifdef HAVE_WIRINGPI_H
/* wiringPi */
#include <wiringPi.h>
#include <pcf8574.h>
#include <lcd.h>


// Defines for the pcf8574 Pi LCD interface board
#define AF_BASE         100

#define AF_RS           (AF_BASE + 0)
#define AF_RW           (AF_BASE + 1)
#define AF_E            (AF_BASE + 2)
#define AF_BACKLIGHT    (AF_BASE + 3)
#define AF_DB4          (AF_BASE + 4)
#define AF_DB5          (AF_BASE + 5)
#define AF_DB6          (AF_BASE + 6)
#define AF_DB7          (AF_BASE + 7)


void setBacklight (int);
int  initLCD (int, int);
void mb_lcdPutchar(const int, unsigned char);
void mb_lcdPuts(const int, const char *);
void mb_lcdClear(const int);

#endif

#endif
